Subject: Inconsistency in text fields for 'operating-system'
From: Alex Kost <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jun 2015 17:58:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, this is not a bug report, but a feature request.

I see some inconsistency in specifying text / text files in an
operating-system declaration:

- ‘sudoers’ and ‘issue’ want plain strings;

- ‘hosts-file’ and ‘mingetty-service’ (#:motd argument) want a
  'text-file' monadic procedure;

- some other services (‘syslog-service’, ‘lirc-service’, ...) want file
  names (of the configuration files).

As for me, I prefer the latter variant.  But I think the best would be
to add support for any of the above possibilities for all services or
operating-system fields.

-- 
Alex